Rated 5 out of 5 stars

Pls update to FF5

This review is for a previous version of the add-on (1.0.2.1-signed). 

I tested the current released version with Firefox 5.0b7 and it worked fine.
I updated the max version. Please re-download it if you are not prompted automatically from the add-on manager.